Bug 118 - Bugs in pdb_ldap.c
Bugs in pdb_ldap.c
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P2 major
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-24 12:23 UTC by John H Terpstra
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John H Terpstra 2003-05-24 12:23:10 UTC
--- pdb_ldap.c	2003-05-23 01:54:40.000000000 -0400
+++ pdb_ldap.c.fixed	2003-05-23 01:59:30.000000000 -0400
@@ -1701,18 +1701,18 @@

 		switch (rid_type) {
 		case USER_RID_TYPE:
-			if (!get_single_attribute(ldap_state->ldap_struct,
-						  entry, "nextUserRid",
-						  old_rid_string)) {
+			if (!get_single_attribute(ldap_state->ldap_struct, entry,
+					  get_attr_key2string(dominfo_attr_list, LDAP_ATTR_NEXT_USERRID),
+					  old_rid_string)) {
 				ldap_memfree(dn);
 				ldap_msgfree(result);
 				return ret;
 			}
 			break;
 		case GROUP_RID_TYPE:
-			if (!get_single_attribute(ldap_state->ldap_struct,
-						  entry, "nextGroupRid",
-						  old_rid_string)) {
+			if (!get_single_attribute(ldap_state->ldap_struct, entry,
+					get_attr_key2string(dominfo_attr_list, LDAP_ATTR_NEXT_GROUPRID),
+					old_rid_string)) {
 				ldap_memfree(dn);
 				ldap_msgfree(result);
 				return ret;
Comment 1 Gerald (Jerry) Carter 2003-05-27 09:54:54 UTC
missed these during the schema update.  Patch looks fine.  applied.
Comment 2 Gerald (Jerry) Carter 2005-02-07 07:57:33 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:10 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.